Package com.orbbec.obsensor

## Enum LogSeverity

- java.lang.Object
- - java.lang.Enum<LogSeverity>
  - - com.orbbec.obsensor.LogSeverity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<LogSeverity>`

    public enum LogSeverity
    extends java.lang.Enum<LogSeverity>

Log severity, the higher the level, the stronger the log filter

### Enum Constant Summary

Enum Constants
`DEBUG` debug
`ERROR` error
`FATAL` fatal error
`INFO` information
`NONE` None (close LOG)
`WARN` warning

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LogSeverity` `get​(int value)` Get the log output level corresponding to the specified index
`int` `value()` Get the index corresponding to the log output level
`static LogSeverity` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LogSeverity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DEBUG

    public static final LogSeverity DEBUG

debug

#### INFO

    public static final LogSeverity INFO

information

#### WARN

    public static final LogSeverity WARN

warning

#### ERROR

    public static final LogSeverity ERROR

error

#### FATAL

    public static final LogSeverity FATAL

fatal error

#### NONE

    public static final LogSeverity NONE

None (close LOG)

### Method Detail

#### values

    public static LogSeverity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LogSeverity c : LogSeverity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LogSeverity valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the log output level

Returns:
  index value

#### get

    public static LogSeverity get​(int value)

Get the log output level corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  log output level